* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
    margin: 0;
    padding: 10px;
    background: linear-gradient(to right,#f5deb3);
    text-align: center;

}
.logo{
    position: absolute;
    height: 80px;
    width: auto;
    display: block;
    top: 100px;
}

 .heading{
    background-color:#e67e22;
    padding: 20px;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    margin: 2px;
}
h1{
    
     font-size: clamp(20px, 4vw, 32px);
     margin-top: 0 start; 
}
p{
     font-size: clamp(12px, 2.5vw, 16px);  /* smaller responsive text */
     margin-bottom: 50px;   /* space before product section */
     color: #333; 
     margin-top: 0 start;
}
.products{
    background: linear-gradient(#2e7d32, #81c784, #f5f5dc);
    border-radius: 20px;   /* rounded corners */
    margin: 15px 10px;     /* space outside box */
    padding: 12px; 
   

}
.nav-bag{
   background-color:black;
   color: whitesmoke;
   border: solid rgb(248, 246, 242);
   border-radius: 10px;
   
}
.app{
    height:30px;
    width: 30px;
    
}

.notification{
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    background-color:#f5f5dc;
    padding: 0px;
    border: none;
    border-radius: 20px;

}
.notification span{
    display: inline-block;
    padding-left: 100%;
    animation: moveText 10s linear infinite, colorchange 2s infinite;
}
@keyframes moveText{
    0%{
      transform: translateX(0%);
    }
    100%{
        transform: translateX(-100%);
    }
}
@keyframes colorchange{
    0%{color: red;}
    20%{color: rgb(252, 7, 150);}
    50%{color: rgb(12, 8, 248);}
    75%{color: rgb(241, 5, 5);}
}
.fassion{
    padding: 10px;
     display: flex;   /* changed from flex → grid gives proper rows/columns */
     gap: 10px;
     overflow-y: auto;
    
}
.images{
    border:solid beige;
    border-radius: 10px;
    height: 200px;
    width: 200px;
   transition: transform 0.3s ease;
}

.images:hover {
  transform: scale(1.1);
}
.faqstart{
    margin: 2px;
    background-color: grey;
    text-align: left;
    padding: 10px;
    border: none;
    border-radius: 10px;
}

.copyright{
    position: relative;
    margin-bottom: 0px;
    color: black;
}
.answer{
    font-size: medium;
    margin: 5px;
}